version: '2.2'
services:

  frappebase:
    init: true
    build: ./frappe
    image: registry.yaltik.net/frappe:yaltik
    environment:
      FRAPPE_USER: frappe
      MYSQL_PASSWORD: somethingToChange
      ADMIN_PASSWORD: somethingToChange
    stdin_open: true
    tty: true

  frappedev:
    extends:
      service: frappebase
    build:
      context: ./frappe
      dockerfile: Dockerfile.dev
    image: registry.yaltik.net/frappe:yaltikdev
    ports:
      - 8000:8000
      - 9000:9000
      - 6787:6787
      - 8001:80

  frappeprod:
    extends:
      service: frappebase
    build:
      context: ./frappe
      dockerfile: Dockerfile.prod
    image: registry.yaltik.net/frappe:yaltikprod
    ports:
      - 8000:8000
      - 9000:9000
      - 6787:6787
      - 80:80

    # erpnext:
    # erinit: true
    # erbuild: ./erpnext
    # erimage: registry.yaltik.net/eprnext:yaltik
    # erenvironment:
    # er  POSTGRES_USER: odoo
    # er  POSTGRES_PASSWORD: somethingToChange
